Bug 184598 - Fails with Fascist Build Policy; Built Files not in SPEC
Fails with Fascist Build Policy; Built Files not in SPEC
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ctags (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 23:21 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 10:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of attempted build. (15.02 KB, text/plain)
2006-03-09 23:22 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-03-09 23:21:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1833_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
To catch potential problems with SPEC files, rpmbuild checks if any files are 
in the %RPM_BUILD_ROOT directory that aren't listed in the %files section of 
the SPEC files (a.k.a. The Fascist Build Policy).  rpmbuild for this package 
fails at this check. 

Version-Release number of selected component (if applicable):
ctags-5.5.4-3.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the following command on systems with rpm-build >= 4.4: 
rpmbuild --rebuild ctags-5.5.4-3.src.rpm 

Actual Results:  rpmbuild exited with error when it found files built that were not part of the 
package. 

Expected Results:  The package should have been built successfully. 

Additional info:

The Fascist Build Policy cannot be turned off from the command line.
Comment 1 Joseph D. Wagner 2006-03-09 23:22:05 EST
Created attachment 125922 [details]
Log of attempted build.
Comment 2 Ngo Than 2006-03-10 10:28:01 EST
it's already fixed in FC5-test3. I will build new package for FC4-update soon.
Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.